#include "Guide.h"

Guiding::~Guiding() {
}

Guiding::Guiding() {
}

void Guiding::versionGuide(double d, bool comments) {
    using namespace std;

    stringstream os;
    os << d;

    version_sequence = os.str();
    version_value = d;
    versionGuide(version_sequence, comments);
}

void Guiding::versionGuide(std::string & v, bool comments) {
    using namespace std;

    stringstream ss;
    ss >> version_value;

    version_sequence = v;

    cout << "Obot C++ Version " << v << "\n" << endl;

    if( comments ) {
        cout << "obot -b2048 text           # Read 2048 bytes. " << endl 
          << "obot -c20 text             # Produce a table that has 20 fields or less. " << endl 
          << "obot -G                    # Guide " << endl 
          << "obot -m3 text              # 3 lines can be represented in hexadecimal as 0D 0A" << endl 
          << "obot -m3 -w127 -j_ text    # __ is the substitute for a number greater than 7Fh" << endl 
          << "obot -m3 -w127 -J\\x7C text # || is the substitute for a number greater than 7Fh" << endl 
          << "obot -m3 -s, text          # CSV " << endl 
          << "obot -m3 -S\\x2C text       # CSV " << endl 
          << "obot -m45 -r20 text        # Produce a table that has 20 rows or less. " << endl 
          << "obot exe                   # EXE can be represented in hexadecimal as 4D 5A... " << endl 
          << "obot -V                    # Version " << endl 
          << "TYPE text | obot -K1920    # Send a readable block to the standard output. " << endl 
          << "TYPE text | obot -K1920 -p # Display the first part of data. " << endl 
          << "TYPE text | obot -k        # Send a readable block to the standard output. " << endl 
          << "TYPE text | obot -y        # Do not remove text.tmp " << endl;

    } else {
        cout << "obot --help                " << endl;
    }

}
