#ifndef HEXADECIMAL_H
#define HEXADECIMAL_H

#define C_SIZE 256
#define Y_SIZE 4096
#include <fstream>
#include <iostream>
#include <sstream>
#include <stdio.h>
#include <string>
#include "ErrorText.h"
#include "FinalEffect.h"

class Hexadecimals {
    bool carriage_return_appears;
    char *buffer;
    char y[Y_SIZE];
    int buffer_size, count, limited_to_value_bytes, limited_to_value_fields, limited_to_value_lines, limited_to_value_rows, NEW_LINE_SIZE, row, sum, wall_value;
    std::string file_name, NEW_LINE;
    std::string BYTE_GAP[ C_SIZE + 1 ];
    std::string BYTE_SEPARATOR[ C_SIZE + 1 ];
    unsigned char joint_byte, separator_byte;

    long file_size(std::string & name);
    int setBufferSize();

public:
    ~Hexadecimals();
    Hexadecimals(unsigned char jb);
    Hexadecimals(unsigned char jb, unsigned char sb);
    bool displayDataText();
    int lineCount() const;
    int produceTemporaryTextFile();
    int limiting();
    int limiting_to_produce_data_file();
    int skipping_standard_output_of_readable_block();
    int standard_output_of_readable_block();
    std::string newLine() const;
    void setting(FinalEffects *f);
    void setting(int bs);
    void setting(std::string fn, int vb, int vf, int VL, int vr, int wv);
};

#endif // HEXADECIMAL_H
