#include "Guide.h"

Guiding::~Guiding() {
}

Guiding::Guiding() {
}

void Guiding::versionGuide(double d, bool comments) {
    using namespace std;

    stringstream os;
    os << d;

    version_sequence = os.str();
    version_value = d;
    versionGuide(version_sequence, comments);
}

void Guiding::versionGuide(std::string & v, bool comments) {
    using namespace std;

    stringstream ss;
    ss >> version_value;

    version_sequence = v;

    cout << "Sjisutf8 Version " << v << "\n" << endl;

    if( comments ) {
        cout << "sjisutf8 -% SJIS              # BOM precedes UTF-8 data. " << endl 
          << "sjisutf8 -0 SJIS              # Every line includes 0Dh. " << endl 
          << "sjisutf8 -a SJIS              # Acquire a table name from set8.txt " << endl 
          << "sjisutf8 -B SJIS              # Check line length. " << endl 
          << "sjisutf8 -b -y SJIS           # Do not remove binary.tmp " << endl 
          << "sjisutf8 -b SJIS              # Produce binary.tmp " << endl 
          << "sjisutf8 -b SJIS SJIS         # Produce and rename binary.tmp " << endl 
          << "sjisutf8 -d SJIS              # Do not search a table. " << endl 
          << "sjisutf8 -G                   # Guide " << endl 
          << "sjisutf8 -LF SJIS             # 0Dh is removed from every line. " << endl 
          << "sjisutf8 -l SJIS              # Count lines. " << endl 
          << "sjisutf8 -o UTF8 SJIS         # Produce a new file. " << endl 
          << "sjisutf8 -s SJIS              # Remove control characters. " << endl 
          << "sjisutf8 -t SJIS UTF8         # SJIS has the same time as UTF8. " << endl 
          << "sjisutf8 -V                   # Version " << endl 
          << "sjisutf8 -w SJIS              # -w shows which table sjisutf8 uses." << endl 
          << "sjisutf8 SJIS                 # Produce sjisutf8.txt " << endl 
          << "sjisutf8 SJIS UTF8            # Produce a new file. " << endl 
          << "TYPE SJIS | sjisutf8 -o UTF8  # standard input " << endl;
    } else {
        cout << "sjisutf8 --help               " << endl;
    }

}
