#include "MessagesText.h"

MessagesTexts::~MessagesTexts() {
}

MessagesTexts::MessagesTexts(char *p, std::string m) {
    using namespace std;

    string f(p);

    file_name = f;
    messages = m;
    new_line = false;
}

MessagesTexts::MessagesTexts(char *p, std::string m, bool n) {
    using namespace std;

    string f(p);

    file_name = f;
    messages = m;
    new_line = n;
}

MessagesTexts::MessagesTexts(std::string f, std::string m) {
    using namespace std;

    file_name = f;
    messages = m;
    new_line = false;
}

MessagesTexts::MessagesTexts(std::string f, std::string m, bool n) {
    using namespace std;

    file_name = f;
    messages = m;
    new_line = n;
}

bool MessagesTexts::setting() {
    using namespace std;

    bool written = false;

    try {
        ofstream messagesFile( file_name.c_str() );
        messagesFile.exceptions(ios_base::failbit);

        if( new_line ) {
            messagesFile << messages << endl;
            written = true;
        } else {
            messagesFile << messages;
            written = true;
        }

    } catch(...) {
        exit(112);
    }

    return written;
}

