#ifndef UCOMBO_H
#define UCOMBO_H

#define C_SIZE 256
#include <sstream>
#include <string>

class UniversalComboAppend {
    char separator;
    std::stringstream *combo;
    unsigned char singleByte(std::string & s);

public:
    ~UniversalComboAppend();
    UniversalComboAppend();
    UniversalComboAppend(char c);
    UniversalComboAppend(std::string & s);

    int comboSize();
    std::string built();
    void append(char c);
    void append(double d);
    void append(int i);
    void append(std::string & s);
    void append(unsigned char b);
    void separatorFollows(char c);
    void separatorFollows(double d);
    void separatorFollows(int i);
    void separatorFollows(std::string & s);
    void separatorFollows(unsigned char b);
};

#endif // UCOMBO_H
