#include "FinalEffect.h"

FinalEffects::~FinalEffects() {
}

FinalEffects::FinalEffects(std::string fn, std::string nn, std::string pn, 
    int fp, 
    unsigned char jb, 
    bool cr,  bool CL, bool cs, bool it, bool nr, bool r0,  bool tb, bool wb) {
// string 
    file_name = fn;
    new_name = nn;
    path_name = pn;

// int 
    focal_point = fp;

// unsigned char 
    joint_byte = jb;

// bool 
    carriage_return = cr;
    check_line_length = CL;
    count_lines = cs;
    identical_time = it;
    no_removing = nr;
    remove_0Dh = r0;
    temporary_binary = tb;
    with_BOM = wb;
}

bool FinalEffects::carriageReturn() const {
    return carriage_return;
}

bool FinalEffects::checkLength() const {
    return check_line_length;
}

bool FinalEffects::countLines() const {
    return count_lines;
}

bool FinalEffects::identicalTime() const {
    return identical_time;
}

bool FinalEffects::noRemoving() const {
    return no_removing;
}

bool FinalEffects::produceTemporaryBinary() const {
    return temporary_binary;
}

bool FinalEffects::remove0Dh() const {
    return remove_0Dh;
}

bool FinalEffects::withBOM() const {
    return with_BOM;
}

int FinalEffects::focalPoint() const {
    return focal_point;
}

std::string FinalEffects::fileName() const {
    return file_name;
}

std::string FinalEffects::newName() const {
    return new_name;
}

std::string FinalEffects::pathName() const {
    return path_name;
}

unsigned char FinalEffects::jointByte() const {
    return joint_byte;
}

void FinalEffects::setFileName(std::string & f) {
    file_name = f;
}

